Bug 1008551 - Missing javadoc for org.jboss.resteasy.resteasy-jaxrs
Missing javadoc for org.jboss.resteasy.resteasy-jaxrs
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Other (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER5
: EAP 6.2.0
Assigned To: Yong Yang
Jakub Cechacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 10:59 EDT by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:16:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Cechacek 2013-09-16 10:59:00 EDT
Current javadoc is missing documentation for following jars and packages 

/home/jcechace/tools/eap/eap6/620/jboss-eap-6.2/modules/system/layers/base/org/jboss/resteasy/resteasy-jaxrs/main/resteasy-jaxrs-2.3.7.Final.jar
35 missing:
   org.jboss.resteasy.annotations
   org.jboss.resteasy.annotations.cache
   org.jboss.resteasy.annotations.interception
   org.jboss.resteasy.annotations.providers.img
   org.jboss.resteasy.client.cache
   org.jboss.resteasy.client
   org.jboss.resteasy.client.core
   org.jboss.resteasy.client.core.executors
   org.jboss.resteasy.client.core.extractors
   org.jboss.resteasy.client.core.marshallers
   org.jboss.resteasy.client.exception.mapper
   org.jboss.resteasy.client.exception
   org.jboss.resteasy.core
   org.jboss.resteasy.core.interception
   org.jboss.resteasy.core.messagebody
   org.jboss.resteasy.core.registry
   org.jboss.resteasy.core.request
   org.jboss.resteasy.logging.impl
   org.jboss.resteasy.logging
   org.jboss.resteasy.mock
   org.jboss.resteasy.plugins.delegates
   org.jboss.resteasy.plugins.interceptors
   org.jboss.resteasy.plugins.interceptors.encoding
   org.jboss.resteasy.plugins.providers
   org.jboss.resteasy.plugins.server
   org.jboss.resteasy.plugins.server.embedded
   org.jboss.resteasy.plugins.server.resourcefactory
   org.jboss.resteasy.plugins.server.tjws
   org.jboss.resteasy.specimpl
   org.jboss.resteasy.spi
   org.jboss.resteasy.spi.interception
   org.jboss.resteasy.spi.touri
   org.jboss.resteasy.spi.validation
   org.jboss.resteasy.test
   org.jboss.resteasy.util
Comment 1 Misty Stanley-Jones 2013-10-09 23:16:59 EDT
I'm not sure what the right component is for Javadoc bugs, but Documentation should be used for formal documentation maintained by Content Services. Javadoc does not fall under this category. Maybe we need a new component for it?
Comment 2 Yong Yang 2013-10-10 04:20:33 EDT
Fixed in EAP6.2.0 ER5.
Comment 3 Jakub Cechacek 2013-10-10 08:11:08 EDT
Verified 6.2.0.ER5

Note You need to log in before you can comment on or make changes to this bug.